# from app.ui.main_window import MainWindow
# from app.controllers.main_controller import MainController
from app.services.data_ingredients import get_all_ingredients, get_ingredient
from app.models.ingredient import Ingredient
from app.models.recette import Recette
from app.services.data_ingredients import init_db
from app.ui.mainwindow import MainWindow

def main():

    window = MainWindow()
    window.run()

    # init_db()
    # ingredients = get_all_ingredients()
    # ingredient = get_ingredient(ingredients[0])
    # ingredient1 = Ingredient(ingredient)

    # recette1 = Recette("Recette 1", {ingredient1: 1})
    # recette2 = Recette("Recette 2", {ingredient1: 100})

    # ingredient1.info()
    # recette1.info()

if __name__ == "__main__":
    main()